Edit this page

System Requirements

The following topic describes the system requirements needed by Telerik UI for WPF.

Supported Operating Systems

Telerik UI for WPF can be installed on any of the following operating systems:

Operating System

Windows 10
Windows 8, 8.1
Windows 7
Windows Vista
Windows Server 2008
Windows Server 2008 R2
Windows XP SP2, SP3
Windows 2000 SP4 + KB 891861*
Windows Server 2003 (excluding IA-64)

*Microsoft Consumer Support Ended July 13, 2010 for this product

You could check here for a complete list of the supported operating systems.

Development Environment

In order to develop applications with Telerik UI for WPF you need to have installed the following development tools:

  • Microsoft Visual Studio 2010/2012/2013/2015/2017 - download from here.

  • .NET Framework 4.0, .NET 4.5, .NET 4.5.1, .NET 4.5.2 or .NET 4.6 - download .NET 4.0 from here, .NET 4.5 from here, .NET 4.5.1 from here, .NET 4.5.2 from here or .NET 4.6 from here.

  • Microsoft Expression Blend(optional) - download the latest version from here.

  • SQL Server 2008 Express (optional) - download the latest version from here.

We can no longer claim a dedicated support for XBAP applications. This is due to the fact that IE 9 disables XBAP by default (more info here). We strongly recommend using ClickOnce deployment instead.

Hardware Enviroment

  • Processor: x86 or x64 1 GHz Pentium processor or equivalent (minimum); 1 GHz Pentium processor or equivalent (recommended)

  • RAM: 512 MB (minimum); 1 GB (recommended)

  • Hard disk: up to 1.5 GB of available space may be required

  • Display: 800 x 600, 256 colors (minimum); 1024 x 768 high color, 32-bit (recommended)

See Also

Was this article helpful? Yes No

Give article feedback

Tell us how we can improve this article

Dummy